var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconMermaidMagnifyComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-mermaid-magnify").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { d: "M7.505 1.45a6.056 6.056 0 0 1 6.055 6.055c0 1.428-.496 2.74-1.324 3.776l2.088 2.088a.3.3 0 0 1 0 .424l-.531.53a.3.3 0 0 1-.424 0l-2.088-2.087A6.056 6.056 0 1 1 7.505 1.45Zm0 1.35a4.706 4.706 0 1 0 0 9.41 4.706 4.706 0 0 0 0-9.41Zm.68 4.03h1.108a.3.3 0 0 1 .3.3v.75a.3.3 0 0 1-.3.3H8.184v1.108a.3.3 0 0 1-.3.3h-.75a.3.3 0 0 1-.3-.3V8.179H5.728a.3.3 0 0 1-.3-.3v-.75a.3.3 0 0 1 .3-.3h1.108V5.723a.3.3 0 0 1 .3-.3h.75a.3.3 0 0 1 .3.3V6.83Z" }));
}
var IconMermaidMagnify = React.forwardRef(IconMermaidMagnifyComponent);
export default IconMermaidMagnify;
